Status: Closed Start date: 2014-09-27

Priority: Normal Due date:  

Assignee: Jan Moringen % Done: 0%

Category: build-generator Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

ANALYSIS-ERROR:

Error during analysis of #<PROJECT-SPEC sfb-c4-vision {FED8EA1}> Caused by:

Error during analysis of portb:/vol/ni/src/git/sfbVision.git Caused by:

Command

("git" "clone" "--quiet" "--depth" "10" "portb:///vol/ni/src/git/sfbVision.git" #P"/tmp/project.VyjG1s/sfbVision.git/")

failed with output:

fatal: Unable to find remote helper for 'portb'

History

#1 - 2014-09-28 16:40 - Jan Moringen

- Category set to build-generator

- Status changed from New to Feedback

How does this work on the commandline? If I try to do this manually, the following happens:

jmoringe@fuchsit /tmp> git clone portb:///vol/ni/src/git/sfbVision.git

Cloning into 'sfbVision'...

fatal: Unable to find remote helper for 'portb'

I don't know what a "remote helper" is. Does this require additional git configuration?

#2 - 2014-09-28 21:26 - Robert Haschke

The essential point is, that the build-generator script translate portb:/vol into portb:///vol, i.e. adds more slashes. This shouldn't happen for git. If you

use portb:/vol directly is works like a charm:

rhaschke@idas:tmp$ git clone portb:/vol/ni/src/git/sfbVision.git

  Cloning into 'sfbVision'...

  remote: Counting objects: 2738, done.

  remote: Compressing objects: 100% (742/742), done.

  remote: Total 2738 (delta 2063), reused 2636 (delta 1990)

  Receiving objects: 100% (2738/2738), 848.08 KiB | 357.00 KiB/s, done.

  Resolving deltas: 100% (2063/2063), done.

  Checking connectivity... done.
#3 - 2014-09-28 23:30 - Jan Moringen

- Status changed from Feedback to In Progress

Please use the first syntactic variant ssh://user@server/project.git (which is a proper URI) in 

http://git-scm.com/book/en/Git-on-the-Server-The-Protocols#The-SSH-Protocol while we discuss extending the generator in the upstream issue.

#4 - 2014-09-29 01:59 - Robert Haschke

ssh url doesn't work either, because it request a login in jenkins

#5 - 2014-10-23 17:06 - Jan Moringen

- Status changed from In Progress to Closed

Authentication is a separate issue. See e.g. https://code.cor-lab.org/issues/1984.
